EC_MURMURHASH_ROTL32(3)

NAME
ec_murmurhash_rotl32 - Hash rotation.

SYNOPSIS
#include <ecoli/murmurhash.h>

static uint32_t ec_murmurhash_rotl32(
    uint32_t  x,
    int8_t    r
);

SEE ALSO

ec_murmurhash3(3), ec_murmurhash3_fmix32(3), ec_murmurhash3_mix32(3), ec_murmurhash3_add32(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.